Bug 1131882 (CVE-2014-3578) - CVE-2014-3578 Spring Framework: Directory traversal
Summary: CVE-2014-3578 Spring Framework: Directory traversal
Status: CLOSED ERRATA
Alias: CVE-2014-3578
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140905,repor...
Keywords: Security
Depends On: 1138950 1165809 1165810 1165811 1165812 1165813 1165814 1165815 1165816 1165817 1165818 1165819 1165820 1166948
Blocks: 1110174 1131893 1181883 1182419 1196328 1200191
TreeView+ depends on / blocked
 
Reported: 2014-08-20 08:39 UTC by Arun Babu Neelicattu
Modified: 2019-06-08 20:09 UTC (History)
34 users (show)

(edit)
A directory traversal flaw was found in the Spring Framework. A remote attacker could use this flaw to access arbitrary files on a server, and bypassing security restrictions that are otherwise in place.
Clone Of:
(edit)
Last Closed: 2016-04-11 03:59:31 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0234 normal SHIPPED_LIVE Important: Red Hat JBoss BPM Suite 6.0.3 security update 2015-02-18 03:27:47 UTC
Red Hat Product Errata RHSA-2015:0235 normal SHIPPED_LIVE Important: Red Hat JBoss BRMS 6.0.3 security update 2015-02-18 03:27:36 UTC
Red Hat Product Errata RHSA-2015:0720 normal SHIPPED_LIVE Important: Red Hat JBoss Fuse Service Works 6.0.0 security update 2015-03-25 01:05:53 UTC

Description Arun Babu Neelicattu 2014-08-20 08:39:11 UTC
It was discovered that Spring Framework contained an undisclosed directory traversal vulnerability. A remote attacker could use this flaw to access arbitrary files on a server bypassing security restrictions that are otherwise in place.

References:

http://jvndb.jvn.jp/en/contents/2014/JVNDB-2014-000054.html

Comment 1 Vincent Danen 2014-09-06 16:39:34 UTC
This is now public.  According to the upstream report, this is fixed in 3.2.0 and does not seem to affect 4.x.


External References:

http://www.pivotal.io/security/cve-2014-3578
https://jvn.jp/en/jp/JVN49154900/

Comment 2 Vincent Danen 2014-09-06 16:42:22 UTC
Created springframework tracking bugs for this issue:

Affects: fedora-all [bug 1138950]

Comment 5 Pavel Polischouk 2015-01-30 16:43:11 UTC
Red Hat JBoss BRMS 5 and Red Hat JBoss Enterprise Portal Platform 5 are now in Phase 3, Extended Life Support, of their respective life cycles. This issue has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat JBoss Middleware and Red Hat JBoss Operations Network Product Update and Support Policy: https://access.redhat.com/support/policy/updates/jboss_notes/

Comment 7 errata-xmlrpc 2015-02-17 22:30:31 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BRMS 6.0.3

Via RHSA-2015:0235 https://rhn.redhat.com/errata/RHSA-2015-0235.html

Comment 8 errata-xmlrpc 2015-02-17 22:35:03 UTC
This issue has been addressed in the following products:

  Red Hat JBoss BPM Suite 6.0.3

Via RHSA-2015:0234 https://rhn.redhat.com/errata/RHSA-2015-0234.html

Comment 11 errata-xmlrpc 2015-03-24 21:07:48 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Fuse Service Works 6.0.0

Via RHSA-2015:0720 https://rhn.redhat.com/errata/RHSA-2015-0720.html

Comment 12 Pavel Polischouk 2015-09-15 22:50:18 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Data Virtualization 6.1.0

Via RHSA-2015:0675 https://rhn.redhat.com/errata/RHSA-2015-0675.html

Comment 13 Chess Hazlett 2016-04-11 03:59:31 UTC
Red Hat JBoss Portal is now in Maintenance Support phase, receiving only qualified Important and Critical impact security fixes. This issue has been rated as having Moderate security impact and is not currently planned to be addressed in future updates. For additional information, refer to the JBoss Product Life Cycle: https://access.redhat.com/support/policy/updates/jboss_notes/


Note You need to log in before you can comment on or make changes to this bug.